<template>
	<view class="content">
		<view class="order-item" v-for="(item, index) in list" :key="index">
			<image src="" mode="" class="logo"></image>
			<view class="title-box">
				<view class="title clamp2">
					<!-- <text>{{ item.mark }}</text> -->
					全勤奖励全勤奖励全勤奖励全勤奖励全勤奖励全勤
					全勤奖励全勤奖励全勤奖励全勤奖励全勤奖励全勤
				</view>
				<view class="time">
					<!-- <text>{{ item.create_time }}</text> -->
					458.0
				</view>
			</view>
			<view class="money" @click="goPage('/pagesS/yg/fcxq')">
				分成：<view>{{ 1 }}</view>
			</view>
		</view>
		<u-loadmore :status="loadingType" />
	</view>
</template>

<script>
	export default {
		data() {
			return {
				loadingType: 'loadmore',
				list: 9,
				page: 1,
				limit: 10
			}
		},
		onLoad(opt) {

		},
		onShow() {
			// this.getData()
		},
		onReachBottom() {
			// this.getData()
		},
		onReady() {

		},
		methods: {
			getData() {
				let that = this
				if (that.loadingType == 'nomore' || that.loadingType == 'loading') {
					return
				}
				that.loadingType = 'loading'
				getFc({

				}).then(res => {


					that.page++
					if (that.limit == res.data.list.length) {
						that.loadingType = 'loadmore'
					} else {
						that.loadingType = 'nomore'
					}
				})
			}
		}
	}
</script>

<style lang="scss">
	.order-item {
		height: 207rpx;
		width: 100%;
		background-color: #fff;
		padding: 30rpx 30rpx;
		line-height: 1.5;
		display: flex;
		align-items: center;
		border-bottom: 1rpx solid #F0F0F0;

		.logo {
			flex-shrink: 0;
			margin-right: 20rpx;
			width: 147rpx;
			height: 147rpx;
			border-radius: 20rpx;
			background-color: #eee;
		}

		.title-box {
			height: 100%;
			flex-grow: 1;
			padding-right: 50rpx;
			display: flex;
			flex-direction: column;
			justify-content: space-between;
			align-items: flex-start;

			.title {
				font-size: 30rpx;
				color: #333333;
			}

			.time {
				font-size: 36rpx;
				font-weight: bold;
				color: #E02020;

				&::before {
					content: '￥';
					font-size: 24rpx;
				}
			}
		}

		.money {
			flex-shrink: 0;
			padding: 8rpx 12rpx;
			background: #FEE1D7;
			border-radius: 5px;
			color: #fd5b23;
			font-size: 26rpx;
			text-align: right;
			display: flex;
			align-items: center;
			justify-content: flex-end;

			image {
				width: 10rpx;
				height: 20rpx;
				margin-left: 15rpx;
			}

			.status {
				color: #AEAEAE;
			}
		}
	}
</style>
